///
/// @file
/// @details This scene is the gameplay scene for the ludumdare34 project.
///
/// <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
///-----------------------------------------------------------------------------------------------------------------///

#ifndef _LudumDare34_CreditsScene_h_
#define _LudumDare34_CreditsScene_h_

#include "ludumdare34.h"
#include "fading_scene.h"

class CreditsScene : public FadingScene
{
public:
	CreditsScene(void);
	virtual ~CreditsScene(void);

protected:
	virtual void OnSimulate(void) override;
	virtual void OnUpdate(const float deltaTime) override;
	virtual void OnRender(void) const override;
	virtual void OnOpen(void) override;
	virtual void OnClose(void) override;

private:
	void AddCreditable(const tbMath::Vector2& offset, const tbCore::tbString& logoFile, const tbCore::tbString& title, const tbCore::tbString& name);

	tbGraphics::Sprite mBackdropSprite;
};

#endif /* _LudumDare34_CreditsScene_h_ */
