///
/// @file
/// @details This scene is the gameplay scene for the ludumdare34 project.
///
/// <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
///-----------------------------------------------------------------------------------------------------------------///

#ifndef _LudumDare34_FadingScene_h_
#define _LudumDare34_FadingScene_h_

#include "ludumdare34.h"

class FadingScene : public tbGame::GameScene
{
public:
	FadingScene(void);
	virtual ~FadingScene(void);

protected:
	virtual void OnSimulate(void) override;
	virtual void OnUpdate(const float deltaTime) override;
	virtual void OnRender(void) const override;
	virtual void OnOpen(void) override;
	virtual void OnClose(void) override;

	enum FadeState
	{
		kFadeToBlack,
		kBlackScreen,
		kFadeToGame,
		kGameScreen
	};

	const FadeState& GetFadeState(void) const { return mCurrentState; }

	void FadeToBlack(void);
	void FadeToGame(void);

private:
	void ChangeFadeState(const FadeState& fadeState);

	mutable tbGraphics::Sprite mBlackScreenSprite;
	tbGame::GameTimer mStateTimer;
	FadeState mCurrentState;
};

#endif /* _LudumDare34_FadingScene_h_ */
