///
/// @file
/// @details A way to store and set results, like current/best score for the PracticeProject project.
///
/// <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
///------------------------------------------------------------------------------------------------------------------///

#ifndef _Undefined_GameMusic_h_
#define _Undefined_GameMusic_h_

#include <stdint.h>

namespace GameMusic
{
	enum MusicTrack
	{
		kGameplayTrack,
		kCreditsTrack,
		kNumberOfTracks
	};

	void InitializeMusicTracks(void);
	void CleanupMusicTracks(void);
	void UpdateMusicTracks(void);

	void SetMusicTrack(const MusicTrack& musicTrack, bool clearQueuedTracks = true);

	/// Currently untested, but hopeful loop multiple queued music tracks.
	void QueueMusicTrack(const MusicTrack& musicTrack);
};

#endif /* _Undefined_GameMusic_h_ */
