///
/// @file
/// @details A way to store and set results, like current/best score for the ludumdare34 project.
///
/// <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
///-----------------------------------------------------------------------------------------------------------------///

#include "game_results.h"

namespace GameResults
{

	uint32_t theCurrentScore(0);
	uint32_t theBestScore(0);

}; /* namespace GameResults */

//--------------------------------------------------------------------------------------------------------------------//

void GameResults::ResetGameResults(bool includingBest)
{
	theCurrentScore = 0;

	if (true == includingBest)
	{
		ResetBestResults();
	}
}

//--------------------------------------------------------------------------------------------------------------------//

void GameResults::ResetBestResults(void)
{
	theBestScore = 0;
}

//--------------------------------------------------------------------------------------------------------------------//

uint32_t GameResults::GetCurrentScore(void)
{
	return theCurrentScore;
}

//--------------------------------------------------------------------------------------------------------------------//

uint32_t GameResults::GetBestScore(void)
{
	return theBestScore;
}

//--------------------------------------------------------------------------------------------------------------------//

void GameResults::IncrementCurrentScore(const uint32_t& increaseAmount)
{
	theCurrentScore += increaseAmount;
	if (theCurrentScore > theBestScore)
	{
		theBestScore = theCurrentScore;
	}
}

//--------------------------------------------------------------------------------------------------------------------//
