///
/// @file
/// @details A way to store and set results, like current/best score for the ludumdare34 project.
///
/// <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
///-----------------------------------------------------------------------------------------------------------------///

#ifndef _LudumDare34_GameResults_h_
#define _LudumDare34_GameResults_h_

#include "ludumdare34.h"

#include <stdint.h>

namespace GameResults
{
	void ResetGameResults(bool includingBest);
	void ResetBestResults(void);

	uint32_t GetCurrentScore(void);
	uint32_t GetBestScore(void);

	void IncrementCurrentScore(const uint32_t& increaseAmount = 1);
};

#endif /* _LudumDare34_GameResults_h_ */
