///
/// @file
/// @details This scene is the gameplay scene for the ludumdare34 project.
///
/// <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
///-----------------------------------------------------------------------------------------------------------------///

#ifndef _LudumDare34_GameplayScene_h_
#define _LudumDare34_GameplayScene_h_

#include "ludumdare34.h"
#include "fading_scene.h"

class BackdropEntity : public tbGame::EntityInterface
{
public:
	BackdropEntity(tbGame::TileSystem& tileSystem);
	virtual ~BackdropEntity(void);
private:
	tbGame::TileSystem& mTileSystem;
	tbGraphics::Sprite mBackdropSprite;
};

class GameplayScene : public FadingScene
{
public:
	GameplayScene(void);
	virtual ~GameplayScene(void);

	void SignalLevelLoad(const tbCore::tbString& levelFile);
	void SignalLevelReset(void);

protected:
	virtual void OnSimulate(void) override;
	virtual void OnUpdate(const float deltaTime) override;
	virtual void OnRender(void) const override;
	virtual void OnOpen(void) override;
	virtual void OnClose(void) override;

	void OnLevelClear(void);
	void OnLoadLevel(const tbCore::tbString& levelFile);

private:
	tbCore::tbString mCurrentLevel;
	tbCore::tbString mLoadLevel;

	tbGraphics::Sprite mBackdropSprite;
	tbGame::TileSystem mTileSystem;
};

#endif /* _LudumDare34_GameplayScene_h_ */
