///
/// @file
/// @details An entity within the ludumdare34 project.
///
/// <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
///-----------------------------------------------------------------------------------------------------------------///

#ifndef _LudumDare34_GoalEntity_h_
#define _LudumDare34_GoalEntity_h_

#include "ludumdare34.h"
#include "collision_entity.h"

class GoalEntity : public CollisionEntity
{
public:
	GoalEntity(const tbMath::Vector2& position, const tbCore::tbString& nextLevel);
	virtual ~GoalEntity(void);

	const tbCore::tbString& GetNextLevelFile(void) const { return mNextLevel; }

protected:
	virtual void OnCollideWith(tbGame::Entity& otherEntity) override;

private:
	const tbCore::tbString mNextLevel;
};

#endif /* _LudumDare34_GoalEntity_h_ */
