///
/// @file
/// @details An entity within the ludumdare34 project.
///
/// <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
///-----------------------------------------------------------------------------------------------------------------///

#ifndef _LudumDare34_LevelNameEntity_h_
#define _LudumDare34_LevelNameEntity_h_

#include "ludumdare34.h"
#include "collision_entity.h"

class LevelNameEntity : public tbGame::EntityInterface
{
public:
	LevelNameEntity(const tbCore::tbString& levelName);
	virtual ~LevelNameEntity(void);

protected:
	virtual void OnSimulate(void) override;

private:
	const tbCore::tbString mLevelName;
	tbGraphics::Sprite mBackdropSprite;
	tbGraphics::Text mNameText;

	tbGame::GameTimer mDelayTimer;
	tbGame::GameTimer mFadeOutTimer;
};

#endif /* _LudumDare34_LevelNameEntity_h_ */
