///
/// @file
/// @details An entity within the ludumdare34 project.
///
/// <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
///-----------------------------------------------------------------------------------------------------------------///

#ifndef _LudumDare34_PickupEntity_h_
#define _LudumDare34_PickupEntity_h_

#include "ludumdare34.h"
#include "collision_entity.h"

class PickupEntity : public CollisionEntity
{
public:
	PickupEntity(const tbMath::Vector2& position, const bool isGoldenCan = false);
	virtual ~PickupEntity(void);

	void OnCollected(void);

	bool IsGoldenCan(void) const { return mIsGoldenCan; }

protected:
	virtual void OnCollideWith(tbGame::Entity& otherEntity) override;

private:
	tbGraphics::AnimatedSprite mSprite;
	const bool mIsGoldenCan;
};

#endif /* _LudumDare34_PickupEntity_h_ */
