///
/// @file
/// @details An entity within the ludumdare34 project.
///
/// <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
///-----------------------------------------------------------------------------------------------------------------///

#ifndef _LudumDare34_SlantedEntity_h_
#define _LudumDare34_SlantedEntity_h_

#include "ludumdare34.h"
#include "collision_entity.h"

class SlantedEntity : public CollisionEntity
{
public:
	SlantedEntity(const tbMath::Vector2& position, bool slantedUpRight);
	virtual ~SlantedEntity(void);

	float FindHeightAt(const float worldX) const;

protected:
	virtual void OnCollideWith(tbGame::Entity& otherEntity) override;

private:
	const bool mSlantedUpRight; //Slanted like a comment slash /
};

#endif /* _LudumDare34_SlantedEntity_h_ */
