///
/// @file
/// @details An entity within the ludumdare34 project.
///
/// <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
///-----------------------------------------------------------------------------------------------------------------///

#ifndef _LudumDare34_TemplateEntity_h_
#define _LudumDare34_TemplateEntity_h_

#include "ludumdare34.h"

class TemplateEntity : public tbGame::Entity
{
public:
	TemplateEntity(void);
	virtual ~TemplateEntity(void);

protected:
	virtual void OnAdded(void) override;
	virtual void OnRemoved(void) override;
	virtual void OnSimulate(void) override;
	virtual void OnUpdate(const float deltaTime) override;
	virtual void OnRender(void) const override;
	virtual void OnCollideWith(tbGame::Entity& otherEntity) override;

private:
	tbGraphics::Sprite mSprite;
};

#endif /* _LudumDare34_TemplateEntity_h_ */
