///
/// @file
/// @details This scene is the gameplay scene for the ludumdare34 project.
///
/// <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
///-----------------------------------------------------------------------------------------------------------------///

#ifndef _LudumDare34_TitleScene_h_
#define _LudumDare34_TitleScene_h_

#include "ludumdare34.h"
#include "fading_scene.h"

class TitleScene : public FadingScene
{
public:
	TitleScene(void);
	virtual ~TitleScene(void);

protected:
	virtual void OnSimulate(void) override;
	virtual void OnUpdate(const float deltaTime) override;
	virtual void OnRender(void) const override;
	virtual void OnOpen(void) override;
	virtual void OnClose(void) override;

private:
	tbGraphics::Sprite mBackdropSprite;
	tbGame::GameTimer mMusicDelay;
};

#endif /* _LudumDare34_TitleScene_h_ */
