///
/// @file
/// @details An entity within the ludumdare34 project.
///
/// <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
///-----------------------------------------------------------------------------------------------------------------///

#ifndef _LudumDare34_TreeEntity_h_
#define _LudumDare34_TreeEntity_h_

#include "ludumdare34.h"
#include "collision_entity.h"

class TreeEntity : public CollisionEntity
{
public:
	enum GrowthStage
	{
		kSeedling,
		kLittleTree,
		kNormalTree,
		kLargeTree,
	};

	TreeEntity(const tbMath::Vector2& position, const GrowthStage& growthStage = kSeedling);
	virtual ~TreeEntity(void);

	void GrowBigger(void);

protected:
	virtual void OnAdded(void) override;
	virtual void OnRemoved(void) override;
	virtual void OnSimulate(void) override;
	virtual void OnUpdate(const float deltaTime) override;
	virtual void OnRender(void) const override;
	virtual void OnCollideWith(tbGame::Entity& otherEntity) override;

	void SetGrowthStage(const GrowthStage& growthStage, bool immediate = false);

private:
	tbGraphics::AnimatedSprite mSprite;
	
	GrowthStage mGrowthStage;
};

#endif /* _LudumDare34_TreeEntity_h_ */
